import 'package:flutter/material.dart';

class Validation {
  Validation._();

  static bool isEmailValid({@required String email}) {
    return !RegExp(
        r"^[a-zA-Z0-9.a-zA-Z0-9.!#$%&'*+-/=?^_`{|}~]+@[a-zA-Z0-9]+\.[a-zA-Z]+")
        .hasMatch(email.trim());
  }

  static bool isMobileCorrect({@required String mobile, length = 10}) {
    return RegExp("^(?:[+0]9)?[0-9]{$length}").hasMatch(mobile);
  }

  static bool passwordShort({@required String txt, length = 3}) {
    return txt.trim().length <= length;
  }
}